CVE List

CVE-2020-25221

Critical 7.8

get_gate_page in mm/gup.c in the Linux kernel 5.7.x and 5.8.x before 5.8.7 allows privilege escalation because of incorrect reference counting (caused by gate page mishandling) of the struct page that backs the vsyscall page. The result is a refcount underflow. This can be triggered by any 64-bit process that can use ptrace() or process_vm_readv(), aka CID-9fa2dd946743.

Published September 10, 2020.

Affected software

Linux Linux Kernel

Reference links

Sign Up for Alerts